commit: 67470089a99c568b4e078688088f4d4f2f28c1f0
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 15 19:31:36 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Apr 15 19:31:36 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67470089
app-crypt/acme: Sync live
Package-Manager: Portage-2.3.5, Repoman-2.3.2
app-crypt/acme/acme-9999.ebuild | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/app-crypt/acme/acme-9999.ebuild b/app-crypt/acme/acme-9999.ebuild
index 469f2ebb3d1..ce2e17f3d79 100644
--- a/app-crypt/acme/acme-9999.ebuild
+++ b/app-crypt/acme/acme-9999.ebuild
@@ -28,11 +28,16 @@ RDEPEND=">=dev-python/cryptography-0.8[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
- >=dev-python/requests-2.4.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.10[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]"
DEPEND="test? ( ${RDEPEND} dev-python/nose[${PYTHON_USEDEP}] )
>=dev-python/setuptools-1.0[${PYTHON_USEDEP}]"
+python_prepare_all() {
+ sed -i -e "/'argparse',/d" setup.py || die
+ distutils-r1_python_prepare_all
+}
+
python_test() {
nosetests -w ${PN} || die
}